Get reservation by UUID
curl --request GET \
--url https://api-sandbox.vulcanopro.com/api/v1/reservations/{id} \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api-sandbox.vulcanopro.com/api/v1/reservations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-sandbox.vulcanopro.com/api/v1/reservations/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "ok",
"timestamp": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "HOLD",
"tour_id": 123,
"date": "2023-12-25",
"time": "15:30",
"pax": {
"adult": 2,
"child": 1,
"senior": 0,
"infant": 1
},
"seats": 123,
"sale_channel_id": 123,
"expires_at": "2023-11-07T05:31:56Z",
"order_id": 123,
"external_reference": "<string>",
"customer": {},
"passengers": [
{}
],
"additional_activities": [
{
"id": 123,
"name": "<string>",
"quantity": 123,
"amount": 123,
"amount_usd": 123
}
],
"created_at": "2023-11-07T05:31:56Z"
}
}Reservations
Get reservation by UUID
Requires reservations:write. Returns the reservation by UUID if it belongs to the authenticated partner. Same data shape as hold/confirm. An expired hold is marked EXPIRED and returned as 200. There is no list endpoint.
GET
/
reservations
/
{id}
Get reservation by UUID
curl --request GET \
--url https://api-sandbox.vulcanopro.com/api/v1/reservations/{id} \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api-sandbox.vulcanopro.com/api/v1/reservations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-sandbox.vulcanopro.com/api/v1/reservations/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "ok",
"timestamp": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "HOLD",
"tour_id": 123,
"date": "2023-12-25",
"time": "15:30",
"pax": {
"adult": 2,
"child": 1,
"senior": 0,
"infant": 1
},
"seats": 123,
"sale_channel_id": 123,
"expires_at": "2023-11-07T05:31:56Z",
"order_id": 123,
"external_reference": "<string>",
"customer": {},
"passengers": [
{}
],
"additional_activities": [
{
"id": 123,
"name": "<string>",
"quantity": 123,
"amount": 123,
"amount_usd": 123
}
],
"created_at": "2023-11-07T05:31:56Z"
}
}Authorizations
api-keyapi-secret
Partner API key
Path Parameters
Reservation UUID from the hold response
Example:
"11111111-1111-1111-1111-111111111111"